Zum Inhalt springen

DryRunDraft

POST
/api/v1/t/{tenant}/workflows/definitions/{definitionId}/draft/dry-run
curl --request POST \
--url https://example.com/api/v1/t/example/workflows/definitions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/draft/dry-run \
--header 'Content-Type: application/json' \
--data '{ "documentIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "proposal": { "definition": { "schemaVersion": 1, "startStep": "example", "steps": [ { "kind": "humanTask", "taskKind": "Approve", "assignees": [ { "when": { "kind": "compare", "field": "example", "value": "LastTaskOutcome", "operator": "EqualTo", "constants": [ "example" ], "output": { "step": "example", "key": "example" } }, "assignee": { "kind": "Member", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "roleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "table": "example" } } ], "fallback": { "kind": "Member", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "roleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "table": "example" }, "options": { "remindAfterWorkingDays": 1, "escalateAfterWorkingDays": 1, "escalationTarget": { "kind": "Member", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "roleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "table": "example" }, "excludeRequester": true, "excludeActorsOfSteps": [ "example" ], "pickFile": false, "deadline": { "value": { "step": "example", "key": "example" }, "dateField": "example", "remindBeforeWorkingDays": 1, "escalateBeforeWorkingDays": 1 } }, "next": "example", "onRejected": "example", "requiredFields": { "fields": [ "example" ], "requireComment": true }, "parallelApproval": { "mode": "All", "approvers": [ { "kind": "Member", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "roleId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "table": "example" } ], "quorum": 1 }, "name": "example", "label": "example" } ], "fields": [ { "key": "example", "kind": "Text", "labelDe": "example", "labelEn": "example", "documentTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "options": [ { "key": "example", "labelDe": "example", "labelEn": "example" } ] } ], "deadlineTrigger": { "stage": "Reminder", "kind": "End", "ruleKey": "example" } } } }'
tenant
required
string

Tenant slug

definitionId
required
string format: uuid
Media typeapplication/json
object
documentIds
required
Array<string>
proposal
One of:
null

OK

Media typeapplication/json
object
documents
required
Array<object>
object
documentId
required
string format: uuid
steps
required
Array<object>
object
stepName
required
string
label
required
null | string
assignee
required
One of:
null
end
required
One of:
null
stopped
required
One of:
null
leftOut
required
integer format: int32
Example
{
"documents": [
{
"steps": [
{
"assignee": {
"route": "Assignee",
"reason": "StepBudgetExceeded"
}
}
],
"end": {
"outcome": "Running"
},
"stopped": {
"reason": "Timer"
}
}
]
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Payload Too Large

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Unsupported Media Type

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}